package regions;

import java.awt.Color;
import java.util.ArrayList;

import org.opencv.core.Rect;
import org.opencv.core.Scalar;

import regions.type.RegionType;

public class Region {

	private RegionType type;
	private String pageXmlIdentifier;
	private String guiIdentifier;
	private Color colorAwt;
	private Scalar colorOpenCV;

	private ArrayList<Rect> positions;

	public Region(RegionType type, String pageXmlIdentifier, int minSize, int maxSize, Color colorAwt,
			Scalar colorOpenCV) {
		setType(type);
		setPageXmlIdentifier(pageXmlIdentifier);
		setColorAwt(colorAwt);
		setColorOpenCV(colorOpenCV);
	}

	public RegionType getType() {
		return type;
	}

	public void setType(RegionType type) {
		this.type = type;
	}

	public String getPageXmlIdentifier() {
		return pageXmlIdentifier;
	}

	public void setPageXmlIdentifier(String pageXmlIdentifier) {
		this.pageXmlIdentifier = pageXmlIdentifier;
	}

	public Color getColorAwt() {
		return colorAwt;
	}

	public void setColorAwt(Color colorAwt) {
		this.colorAwt = colorAwt;
	}

	public Scalar getColorOpenCV() {
		return colorOpenCV;
	}

	public void setColorOpenCV(Scalar colorOpenCV) {
		this.colorOpenCV = colorOpenCV;
	}

	public ArrayList<Rect> getPositions() {
		return positions;
	}

	public void setPositions(ArrayList<Rect> positions) {
		this.positions = positions;
	}

	public void setPositions(Rect position) {
		ArrayList<Rect> positions = new ArrayList<Rect>();
		positions.add(position);
		this.positions = positions;
	}

	public String getGuiIdentifier() {
		return guiIdentifier;
	}

	public void setGuiIdentifier(String guiIdentifier) {
		this.guiIdentifier = guiIdentifier;
	}

}