package segmentation;

import java.util.ArrayList;

import org.opencv.core.Mat;
import org.opencv.core.Scalar;
import imageProcessing.Contour;
import regions.type.RegionType;

public class SegmentationResult {

	private String fileName;
	private int verticalResolution;

	// private ArrayList<MatOfPoint> images;
	// private ArrayList<MatOfPoint> text;
	// private ArrayList<MatOfPoint> marginalia;
	// private ArrayList<MatOfPoint> pageNumber;

	private ArrayList<RegionList> regions;

	public SegmentationResult(ArrayList<RegionList> regions, int verticalResolution) {
		setRegions(regions);

		setVerticalResolution(verticalResolution);
	}

	public Mat drawResult(Mat result) {
		for (RegionList regionList : regions) {
			if (regionList.getType().equals(RegionType.IMAGE)) {
				result = Contour.drawContours(result, regionList.getRegions(), new Scalar(0, 255, 0), 3);
			} else if (regionList.getType().equals(RegionType.PARAGRAPH)) {
				result = Contour.drawContours(result, regionList.getRegions(), new Scalar(0, 0, 255), 3);
			} else if (regionList.getType().equals(RegionType.MARGINALIA)) {
				result = Contour.drawContours(result, regionList.getRegions(), new Scalar(0, 255, 255), 3);
			} else if (regionList.getType().equals(RegionType.PAGE_NUMBER)) {
				result = Contour.drawContours(result, regionList.getRegions(), new Scalar(255, 0, 255), 3);
			}
		}
		
		return result;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public int getVerticalResolution() {
		return verticalResolution;
	}

	public void setVerticalResolution(int verticalResolution) {
		this.verticalResolution = verticalResolution;
	}

	// public ArrayList<MatOfPoint> getImages() {
	// return images;
	// }
	//
	// public void setImages(ArrayList<MatOfPoint> images) {
	// this.images = images;
	// }
	//
	// public ArrayList<MatOfPoint> getText() {
	// return text;
	// }
	//
	// public void setText(ArrayList<MatOfPoint> text) {
	// this.text = text;
	// }
	//
	// public ArrayList<MatOfPoint> getMarginalia() {
	// return marginalia;
	// }
	//
	// public void setMarginalia(ArrayList<MatOfPoint> marginalia) {
	// this.marginalia = marginalia;
	// }
	//
	// public ArrayList<MatOfPoint> getPageNumber() {
	// return pageNumber;
	// }
	//
	// public void setPageNumber(ArrayList<MatOfPoint> pageNumber) {
	// this.pageNumber = pageNumber;
	// }

	public ArrayList<RegionList> getRegions() {
		return regions;
	}

	public void setRegions(ArrayList<RegionList> regions) {
		this.regions = regions;
	}
}