//package segmentation;
//
//import java.util.ArrayList;
//
//import org.opencv.core.Mat;
//import org.opencv.core.MatOfPoint;
//import org.opencv.core.Rect;
//import org.opencv.core.Scalar;
//import org.opencv.core.Size;
//import org.opencv.highgui.Highgui;
//
//import imageProcessing.Contour;
//import imageProcessing.ImageContainer;
//import imageProcessing.Rectangle;
//import regions.Line;
//import regions.Resizable;
//import regions.type.RegionType;
//import segmentation.parameters.Parameters;
//
//public class SegmenterOld {
//
//	public static SegmentationResult segment(Mat original, Parameters parameters) {
//		ArrayList<Resizable> positions = parameters.getResizableManager().getPositions();
//
//		ArrayList<Line> lines = parameters.getResizableManager().getLines();
//
//		// resize
//		ImageContainer image = new ImageContainer(original);
//		ImageProcessor.initImage(image, parameters.getDesiredImageHeight());
//		Mat result = image.getResized().clone();
//
//		// binarize
//		int binaryThresh = parameters.getBinaryThresh();
//		Mat binary = new Mat();
//
//		if (binaryThresh == -1) {
//			binary = ImageProcessor.calcBinary(image.getGray());
//		} else {
//			binary = ImageProcessor.calcBinaryFromThresh(image.getGray(), binaryThresh);
//		}
//
//		binary = ImageProcessor.invertImage(binary);
//
//		// remove ignored and
//		// remove predefined images TODO
//		for (Resizable region : positions) {
//			if (region.isFixed()
//					&& (region.getType().equals(RegionType.IMAGE) || region.getType().equals(RegionType.IGNORE))) {
//				double scaleFactor = parameters.getScaleFactor();
//				Rect temp = region.getRectOCV();
//
//				Rect rect = new Rect((int) (temp.x * scaleFactor), (int) (temp.y * scaleFactor),
//						(int) (temp.width * scaleFactor), (int) (temp.height * scaleFactor));
//
//				binary = Rectangle.drawStraightRect(binary, rect, new Scalar(0), -1);
//			}
//		}
//		image.setBinary(binary);
//
//		// find images
//		Mat dilate = ImageProcessor.dilate(binary,
//				new Size(parameters.getImageRemovalDilationX(), parameters.getImageRemovalDilationY()));
//
//		ArrayList<MatOfPoint> images = ImageSegmentation.detectContours(dilate, parameters.getMinImageSize(), true);
//
//		// TODO
//		Mat tempBinary = new Mat(binary.size(), binary.type(), new Scalar(0));
//
//		for (Resizable region : positions) {
//			if (region.isFixed() && region.getType().equals(RegionType.IMAGE)) {
//				double scaleFactor = parameters.getScaleFactor();
//				Rect temp = region.getRectOCV();
//
//				Rect rect = new Rect((int) (temp.x * scaleFactor), (int) (temp.y * scaleFactor),
//						(int) (temp.width * scaleFactor), (int) (temp.height * scaleFactor));
//				tempBinary = Rectangle.drawStraightRect(tempBinary, rect, new Scalar(255), -1);
//			}
//		}
//
//		ArrayList<MatOfPoint> tempContours = Contour.findContours(tempBinary);
//		images.addAll(tempContours);
//
//		// draw and remove images
//		Mat pictureRemoved = image.getBinary().clone();
//
//		for (MatOfPoint tempContour : images) {
//			result = Rectangle.drawStraightRect(result, tempContour, new Scalar(0, 255, 0), 3);
//			// pictureRemoved =
//			// Contour.deletePointsWithinContour(pictureRemoved, tempContour);
//			pictureRemoved = Rectangle.drawStraightRect(pictureRemoved, tempContour, new Scalar(0), -1);
//		}
//
//		image.setPictureRemoved(pictureRemoved);
//
//		// find text
//		dilate = ImageProcessor.dilate(pictureRemoved,
//				new Size(parameters.getTextDilationX(), parameters.getTextDilationY()));
//
//		// handle user drawn lines
//		// System.out.println("lines: " + lines.size());
//		LineSegmenter lineSegmenter = new LineSegmenter(lines, dilate, parameters);
//		lineSegmenter.drawLines(dilate);
//
//		// Highgui.imwrite("C:/Users/Reul/Desktop/bla.jpg", dilate);
//
//		ArrayList<MatOfPoint> texts = ImageSegmentation.detectContours(dilate, parameters.getMinPageNumberSize(),
//				false);
//
//		RegionClassifier regionClassifier = new RegionClassifier(dilate, parameters);
//
//		ArrayList<ArrayList<MatOfPoint>> textAndMarginalia = regionClassifier.findTextAndMarginaliaContours(texts);
//		ArrayList<MatOfPoint> paragraphs = textAndMarginalia.get(0);
//		ArrayList<MatOfPoint> marginalia = textAndMarginalia.get(1);
//		ArrayList<MatOfPoint> pageNumber = textAndMarginalia.get(2);
//
//		// draw results
//		// result = Contour.drawContours(result, paragraphs, new Scalar(0, 0,
//		// 255), 3);
//		// result = Contour.drawContours(result, marginalia, new Scalar(0, 255,
//		// 255), 3);
//		// result = Contour.drawContours(result, pageNumber, new Scalar(255, 0,
//		// 255), 3);
//
//		RegionList imageList = new RegionList(RegionType.IMAGE, images);
//		RegionList paragraphList = new RegionList(RegionType.PARAGRAPH, paragraphs);
//		RegionList marginaliaList = new RegionList(RegionType.MARGINALIA, marginalia);
//		RegionList pageNumberList = new RegionList(RegionType.PAGE_NUMBER, pageNumber);
//
//		ArrayList<RegionList> regionLists = new ArrayList<RegionList>();
//		regionLists.add(imageList);
//		regionLists.add(paragraphList);
//		regionLists.add(marginaliaList);
//		regionLists.add(pageNumberList);
//
//		SegmentationResult segResult = new SegmentationResult(regionLists, parameters.getDesiredImageHeight());
//
//		return segResult;
//	}
//}